$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.30-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.17.30-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '7C3C5C1205F9F99CBEEB3865D538036967DAE1C150184C9A34E5418FB7F32218'
  checksumType = 'sha256'
  checksum64 = '7C3C5C1205F9F99CBEEB3865D538036967DAE1C150184C9A34E5418FB7F32218'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.17.30-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
